Bug 245936 - Missing kickstart file dialog full of garbage
Summary: Missing kickstart file dialog full of garbage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Joel Andres Granados
QA Contact: Milan Zázrivec
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 14:28 UTC by Gary Benson
Modified: 2008-05-21 15:30 UTC (History)
0 users

Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:30:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
don't free the string before printing it (1.40 KB, patch)
2007-06-29 14:41 UTC, Chris Lumens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0397 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2008-05-19 23:11:23 UTC

Description Gary Benson 2007-06-27 14:28:25 UTC
Description of problem:
If you do a kickstart install but get the path wrong, the dialog box that pops
up asking for the correct path is full of garbage.

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always

Steps to Reproduce:
1. Boot from your trusty RHEL5 DVD
2. Enter "linux ks=bork:bork:bork"
3. Wait until a dialog box filled with rubbish appears
  
Actual results:
A dialog box filled with rubbish.

Expected results:
A dialog box not filled with rubbish.

Comment 1 Chris Lumens 2007-06-29 14:41:02 UTC
Created attachment 158212 [details]
don't free the string before printing it

Comment 2 RHEL Product and Program Management 2007-10-16 03:56:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Milan Zázrivec 2008-02-06 12:52:13 UTC
This is what happened in RHEL5.2-Server-20080206.nightly:

Welcome to Red Hat Enterprise Linux Server                                      
                                                                                
                                                                                
                                                                                
                                                                                
        +-------------+ Error downloading kickstart file +-------------+        
        |                                                              |        
        | Unable to download the kickstart file.  Please modify the    |        
        | kickstart parameter below or press Cancel to proceed as an   |        
        | interactive installation.                                    |        
        |                                                              |        
        | bork:bork:bork______________________________________________ |        
        |                                                              |        
        |            +----+                      +--------+            |        
        |            | OK |                      | Cancel |            |        
        |            +----+                      +--------+            |        
        |                                                              |        
        |                                                              |        
        +--------------------------------------------------------------+        
                                                                                
                                                                                
                                                                                
                                                                                
  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen      

Comment 7 errata-xmlrpc 2008-05-21 15:30:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html



Note You need to log in before you can comment on or make changes to this bug.